Home Download Buy Blog Forum Support

Dev Build 3022

Re: Dev Build 3022

Postby artemhp on Tue Sep 24, 2013 4:18 pm

The same problem
http://prntscr.com/1t7a1x
artemhp
 
Posts: 1
Joined: Tue Sep 24, 2013 4:18 pm

Re: Dev Build 3022

Postby FichteFoll on Wed Sep 25, 2013 4:44 pm

FichteFoll
 
Posts: 377
Joined: Fri Mar 16, 2012 11:49 pm
Location: Germany

Re: Dev Build 3022

Postby Voaxeyr on Wed Sep 25, 2013 6:12 pm

It appears that the SublimeLinter plugin still does not work with this version.

Code: Select all
reloading plugin SublimeLinter-sublime-text-3.SublimeLinter
Traceback (most recent call last):
  File "F:\Portable Apps\ST3Dev\sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 586, in _check_name_wrapper
  File "<frozen importlib._bootstrap>", line 1023, in load_module
  File "<frozen importlib._bootstrap>", line 1004, in load_module
  File "<frozen importlib._bootstrap>", line 562, in module_for_loader_wrapper
  File "<frozen importlib._bootstrap>", line 869, in _load_module
  File "<frozen importlib._bootstrap>", line 313, in _call_with_frames_removed
  File "F:\Portable Apps\ST3Dev\Data\Packages\SublimeLinter-sublime-text-3\SublimeLinter.py", line 23, in <module>
    MOD_LOAD = Loader(PLUGIN_PATH, LINTERS)  # utility to load (and reload
  File "F:\Portable Apps\ST3Dev\Data\Packages\SublimeLinter-sublime-text-3\sublimelinter\loader.py", line 28, in __init__
    self.load_all()
  File "F:\Portable Apps\ST3Dev\Data\Packages\SublimeLinter-sublime-text-3\sublimelinter\loader.py", line 57, in load_all
    self.load_module(name)
  File "F:\Portable Apps\ST3Dev\Data\Packages\SublimeLinter-sublime-text-3\sublimelinter\loader.py", line 67, in load_module
    __import__(fullmod)
ImportError: No module named 'SublimeLinter'
Voaxeyr
 
Posts: 6
Joined: Wed Sep 25, 2013 6:00 pm

Re: Dev Build 3022

Postby FichteFoll on Wed Sep 25, 2013 8:58 pm

Voaxeyr wrote:It appears that the SublimeLinter plugin still does not work with this version.


I'd have to check the source, but I guess that you have to rename the package folder from "SublimeLinter-sublime-text-3" to "SublimeLinter" because the package name is hard coded.
FichteFoll
 
Posts: 377
Joined: Fri Mar 16, 2012 11:49 pm
Location: Germany

Re: Dev Build 3022

Postby Voaxeyr on Sun Oct 06, 2013 8:38 pm

Code: Select all
Searching 95 files for "SublimeLinter-sublime-text-3"
0 matches across 0 files

I will continue experimenting. :)

EDIT: I found. When I got the zip file from github, the folder was named "SublimeLinter-sublime-text-3". I renamed it to sublimeLinter and it now works. However, xmllint still refuses to work:

Code: Select all
reloading plugin xmllint.xmllint
Traceback (most recent call last):
  File "F:\Portable Apps\Sublime Text 3_old\sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "F:\Portable Apps\Sublime Text 3_old\sublime_plugin.py", line 671, in load_module
    exec(compile(source, source_path, 'exec'), mod.__dict__)
  File "xmllint in F:\Portable Apps\Sublime Text 3_old\Data\Installed Packages\xmllint.sublime-package", line 187
    print 'Wrong view for %s, skipping marks' % error[0]
                                            ^
SyntaxError: invalid syntax
Voaxeyr
 
Posts: 6
Joined: Wed Sep 25, 2013 6:00 pm

Re: Dev Build 3022

Postby FichteFoll on Sun Oct 06, 2013 8:53 pm

Voaxeyr wrote:However, xmllint still refuses to work:

Code: Select all
reloading plugin xmllint.xmllint
Traceback (most recent call last):
  File "F:\Portable Apps\Sublime Text 3_old\sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "F:\Portable Apps\Sublime Text 3_old\sublime_plugin.py", line 671, in load_module
    exec(compile(source, source_path, 'exec'), mod.__dict__)
  File "xmllint in F:\Portable Apps\Sublime Text 3_old\Data\Installed Packages\xmllint.sublime-package", line 187
    print 'Wrong view for %s, skipping marks' % error[0]
                                            ^
SyntaxError: invalid syntax


xmllint uses Python code that is not compatible with Python 3, and thus also not compatible with ST3. You have to search for an update or, if there is none, update it yourself (but judging by your problem you probably don't know how to do this). Otherwise it won't work.
FichteFoll
 
Posts: 377
Joined: Fri Mar 16, 2012 11:49 pm
Location: Germany

Re: Dev Build 3022

Postby Voaxeyr on Wed Oct 09, 2013 2:22 am

All sorted now. I'm still learning how Package control works (and ST in general) and I had to point ST3 where my git binary was since I am using portablegit. once I did this, I used the "upgrade/overwrite all package" option and restarted ST3. There must have been a recent for SublimeLinter and I missed it. :oops:

P.S. For the record, yes, I'm aware that Python 2 and 3 are incompatible. ;)
Voaxeyr
 
Posts: 6
Joined: Wed Sep 25, 2013 6:00 pm

Previous

Return to General Discussion

Who is online

Users browsing this forum: Fesick, jbrooksuk and 48 guests